/*
Theme Name: RightCause Child
Theme URI: https://rightcause.qodeinteractive.com/
Description: A child theme of RightCause
Author: Mikado Themes
Author URI: http://themeforest.net/user/mikado-themes
Version: 1.0.1
Text Domain: rightcause
Template: rightcause
*/

/* general */
:root {
  --white: #ffffff;
  --black: #000000;
  --purple: #6F2A61;
}
::selection {
  background: var(--purple);
}
@media(max-width:767px) {
    .movil-center,
    .movil-center p,
    .movil-center a ,
    .movil-center h4,
    .movil-center .elementor-widget-social-icons {
        text-align: center !important;
    }
}

/* color */
.qodef-header--light.qodef-custom-header-hover-green #qodef-page-header .qodef-header-navigation>ul>li>a:hover,
.qodef-accordion.qodef-layout--simple .qodef-accordion-title.ui-state-hover,
.qodef-accordion.qodef-layout--simple .qodef-accordion-title.ui-state-active,
.qodef-page-title.qodef-title--standard .qodef-m-subtitle,
#qodef-back-to-top .qodef-back-to-top-icon {
    color: var(--purple) !important;
}
.qofef-contact-form .wpcf7-submit {
    background-color: var(--purple) !important;
}

/* header */
#qodef-page-header,
#qodef-page-mobile-header {
    margin-top: 10px;
}
.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li>a:before,
.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li.current-menu-item>a,
.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li>a:hover>span {
    color: var(--purple) !important;
}
.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li>a>span:after {
    background-color: var(--purple) !important;
}
#qodef-page-header {
    height: 120px !important;
}


/* home */
.qodef-fixed-background-slider.qodef-layout--fixed-text .qodef-e-fixed-text-holder .qodef-e-fixed-text-one .qodef-e-fixed-text-one-mask,
.qodef-fixed-background-slider.qodef-layout--fixed-text .qodef-e-fixed-text-holder .qodef-e-fixed-text-two .qodef-e-fixed-text-one-mask {
    background-color: #ffffff;
}
.qodef-fixed-background-slider.qodef-layout--fixed-text .qodef-e-fixed-text-holder .qodef-e-fixed-text {
    font-size: 110px;
    color: #c2c0bd;
}
.qodef-fixed-background-slider.qodef-layout--fixed-text .qodef-e-fixed-text-holder .qodef-e-fixed-text-two {
    opacity: 1;
}
.swiper-button-next,
.swiper-button-prev {
	display: none;
}
.home #qodef-page-outer {
    margin-top: 0 !important;
}
.elementor-widget-rightcause_core_icon_with_text h3 a:hover {
    color: var(--white);
}
.caja-iconos h3 span {
    font-size: 30px;
}
.qodef-e-fixed-text {
    display: none;
}

/* post types single */
.entrevista-template .qodef-page-title.qodef-title--standard .qodef-m-title,
.material-template .qodef-page-title.qodef-title--standard .qodef-m-title,
.relatoria-template .qodef-page-title.qodef-title--standard .qodef-m-title,
.accion-template .qodef-page-title.qodef-title--standard .qodef-m-title,
.colaboracion-template .qodef-page-title.qodef-title--standard .qodef-m-title {
    margin: 70px 0 0;
    text-align: center;
}
.entrevista-template #qodef-page-inner,
.material-template #qodef-page-inner,
.relatoria-template #qodef-page-inner,
.accion-template #qodef-page-inner,
.colaboracion-template #qodef-page-inner {
    padding: 0px;
}
.entrevista-template .mostrar-tema,
.colaboracion-template .mostrar-tema {
    font-family: "Cedarville Cursive", sans-serif;
    font-size: 36px;
    color: var(--purple);
    text-align: center;
    line-height: 40px;
}
@media(max-width:767px) {
    .entrevista-template .mostrar-tema,
    .colaboracion-template .mostrar-tema {
        font-size: 28px;
        line-height: 32px;
    }
}
.entrevista-template .mostrar-frase {
    text-align: center;
}

/* post types archive */
.todos-entrevistas {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}
@media(max-width: 767px) {
    .todos-entrevistas {
        grid-template-columns: repeat(1, 1fr);
    }
}
.todos-materiales,
.todos-relatorias,
.todos-acciones,
.todos-colaboraciones {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}
@media(max-width: 767px) {
    .todos-materiales,
    .todos-relatorias,
    .todos-acciones,
    .todos-colaboraciones {
        grid-template-columns: repeat(2, 1fr);
    }
}
.entrevista-nombre,
.material .qodef-m-title,
.relatoria-nombre,
.accion-nombre,
.colaboracion-nombre {
    font-family: "Oswald", sans-serif;
    font-size: 28px;
    font-weight: 700;
    margin: 10px 0;
}
.material .qodef-m-content {
    padding: 0;
}
.material .qodef-m-image img {
    height: 550px;
    object-fit: cover;
}
.material .qodef-m-title a:hover,
.entrevista-col a:hover,
.material-col a:hover,
.relatoria-col a:hover,
.accion-col a:hover,
.colaboracion-col a:hover {
    color: #000000;
}

/* videos entrevistas */
.video-responsive {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* Relación 16:9 */
    height: 0;
    overflow: hidden;
}
.video-responsive iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

/* videos colaboraciones */
.video-short-responsive iframe{
    aspect-ratio: 9 / 16;
}

/* acciones - galeria */
#gallery-1 img {
    border: none !important;
}

/* contact */
.wpcf7-list-item {
    margin: 1em 0 0 0;
}

/* footer */
#qodef-page-footer-top-area {
    padding: 60px 0 0;
}
#qodef-page-footer .menu-item {
	display: inline-block;
}
#qodef-page-footer .menu-item a {
    font-size: 20px;
    font-weight: 400;
    font-family: 'Oswald', sans-serif;
    color: var(--white);
    margin-right: 33px;
}
#qodef-page-footer-bottom-area a:hover {
    color: var(--purple) !important;
}
#text-2 .textwidget {
    text-align: right;
}
#qodef-page-footer-bottom-area .widget.widget_text a:hover {
    color: var(--purple) !important;
}
@media only screen and (max-width: 1024px) and (min-width: 769px) {
    .qodef-grid.qodef-responsive--custom.qodef-col-num--1024--2.qodef-layout--columns > .qodef-grid-inner > .qodef-grid-item {
        width: 100%;
    }
    #menu-footer-menu,
    #text-2 .textwidget {
        text-align: center;
    }
}